Chemistry.registerMolecule("cellulose", "Cellulose", {C: 6, H: 10, O: 5}, "solid", ["#00ff00", "#003f00"]);
Chemistry.registerMolecule("water", "Water", {H: 2, O: 1}, "liquid", ["#0000ff", "#0000ff"]);
Chemistry.registerMolecule("carbonDioxide", "Carbon Dioxide", {C: 1, O: 2}, "gas", ["#7f7f7f", "#3f3f3f"]);
Chemistry.registerMolecule("nitrogenDioxide", "Nitrogen Dioxide", {N: 1, O: 2}, "gas", ["#ffa600", "#7f242f"]);
Chemistry.registerMolecule("toluene", "Toluene", {C: 7, H: 8}, "liquid", ["#ffffff", "#cccccc"]);
Chemistry.registerMolecule("potassiumNitrate", "Potassium Nitrate", {K: 1, N: 1, O: 3}, "solid", ["#e6e6e6", "#cccccc"]);
Chemistry.registerMolecule("tnt", "Trinitrotoluene", {C: 6, H: 2, nitrogenDioxide: 3, toluene: 1}, "solid", ["#ffff00", "#ffa600"]);
Chemistry.registerMolecule("siliconDioxide", "Silicon Dioxide", {Si: 1, O: 2}, "solid", ["#ffffff", "#ffffff"]);
Chemistry.registerMolecule("calcicPyroxene", "Calcicpyroxene", {Ca: 1, Cr: 1, Si: 2, O: 6});
Chemistry.registerMolecule("pyrite", "Pyrite", {Fe: 1, S: 2});
Chemistry.registerMolecule("nepheline", "Nepheline", {Al: 1, Si: 1, O: 4});
Chemistry.registerMolecule("sulfate", "Sulfate (ion)", {S: 1, O: 4});
Chemistry.registerMolecule("noselite", "Noselite", {Na: 8, nepheline: 6, sulfate: 1});
Chemistry.registerMolecule("sodalite", "Sodalite", {Na: 8, nepheline: 6, Cl: 2});
Chemistry.registerMolecule("nitrate", "Nitrate (ion)", {N: 1, O: 3});
Chemistry.registerMolecule("carbonate", "Carbonate (ion)", {C: 1, O: 3});
Chemistry.registerMolecule("cyanide", "Potassium Cyanide", {K: 1, C: 1, N: 1}, "liquid");
Chemistry.registerMolecule("phosphate", "Phosphate (ion)", {P: 1, O: 4});
Chemistry.registerMolecule("acetate", "Acetate (ion)", {C: 2, H: 3, O: 2});
Chemistry.registerMolecule("chromate", "Chromate (ion)", {Cr: 1, O: 4});
Chemistry.registerMolecule("hydroxide", "Hydroxide (ion)", {O: 1, H: 1}, "liquid");
Chemistry.registerMolecule("ammonium", "Ammonium (ion)", {N: 1, H: 4}, "liquid");
Chemistry.registerMolecule("hydronium", "Hydronium (ion)", {H: 3, O: 1}, "liquid");
Chemistry.registerMolecule("peroxide", "Peroxide (ion)", {O: 2}, "liquid");
Chemistry.registerMolecule("calciumOxide", "Calcium Oxide", {Ca: 1, O: 1});
Chemistry.registerMolecule("calciumCarbonate", "Calcium Carbonate", {Ca: 1, carbonate: 1});
Chemistry.registerMolecule("magnesiumCarbonate", "Magnesium Carbonate", {Mg: 1, carbonate: 1});
Chemistry.registerMolecule("lazurite", "Lazurite", {Na: 8, nepheline: 1, sulfate: 1});
Chemistry.registerMolecule("isoprene", "Isoprene", {C: 5, H: 8});
Chemistry.registerMolecule("butene", "Butene", {C: 4, H: 8}, "gas");
Chemistry.registerMolecule("polyisobutylene", "Polyisobutylene Rubber", {butene: 16, isoprene: 1}, "liquid");
Chemistry.registerMolecule("malicAcid", "Malic Acid", {C: 4, H: 6, O: 5});
Chemistry.registerMolecule("vinylChloride", "Vinyl Chloride Monomer", {C: 2, H: 3, Cl: 1}, "gas");
Chemistry.registerMolecule("polyvinylChloride", "Polyvinyl Chloride", {vinylChloride: 64});
Chemistry.registerMolecule("methamphetamine", "Methamphetamine", {C: 10, H: 15, N: 1});
Chemistry.registerMolecule("psilocybin", "Psilocybin", {C: 12, H: 17, N: 2, O: 4, P: 1});
Chemistry.registerMolecule("iron3oxide", "Iron (iii) Oxide", {Fe: 2, O: 3});
Chemistry.registerMolecule("strontiumNitrate", "Strontium Nitrate", {Sr: 1, nitrate: 2});
Chemistry.registerMolecule("magnetite", "Magnetite", {Fe: 3, O: 4});
Chemistry.registerMolecule("magnesiumOxide", "Magnesium Oxide", {Mg: 1, O: 1});
Chemistry.registerMolecule("cucurbitacin", "Cucurbitacin", {C: 30, H: 42, O: 7});
Chemistry.registerMolecule("asparticAcid", "Aspartic Acid", {C: 4, H: 7, N: 1, O: 4});
Chemistry.registerMolecule("hydroxylapatite", "Hydroxylapatite", {Ca: 5, phosphate: 3, O: 1, H: 1});
Chemistry.registerMolecule("alinine", "Alanine", {C: 3, H: 7, N: 1, O: 2});
Chemistry.registerMolecule("glycine", "Glycine", {C: 2, H: 5, N: 1, O: 2});
Chemistry.registerMolecule("serine", "Serine", {C: 3, H: 7, nitrate: 1});
Chemistry.registerMolecule("mescaline", "Mescaline", {C: 11, H: 17, nitrate: 1});
Chemistry.registerMolecule("methyl", "Methyl (ion)", {C: 1, H: 3}, "liquid");
Chemistry.registerMolecule("methylene", "Methylene (ion)", {C: 1, H: 2}, "liquid");
Chemistry.registerMolecule("memethacrylate", "Methyl Methacrylate", {methyl: 3, C: 2, O: 2}, "liquid");
Chemistry.registerMolecule("pmma", "Polymethyl Methacrylate", {memethacrylate: 3});
Chemistry.registerMolecule("redPigment", "Cobalt(ii) Nitrate", {Co: 1, nitrate: 2});
Chemistry.registerMolecule("orangePigment", "Potassium Dichromate", {K: 2, Cr: 2, O: 7});
Chemistry.registerMolecule("yellowPigment", "Potassium Chromate", {Cr: 1, K: 2, O: 4});
Chemistry.registerMolecule("limePigment", "Nickel(ii) Chloride", {Ni: 1, Cl: 2});
Chemistry.registerMolecule("lightbluePigment", "Copper(ii) Sulfate", {Cu: 1, sulfate: 1});
Chemistry.registerMolecule("purplePigment", "Potassium Permanganate", {K: 1, Mn: 1, O: 4});
Chemistry.registerMolecule("greenPigment", "Zinc Green", {Co: 1, Zn: 1, O: 2});
Chemistry.registerMolecule("blackPigment", "Carbon Black", {C: 1, H: 2, O: 1}, "gas");
Chemistry.registerMolecule("whitePigment", "Titanium Dioxide", {Ti: 1, O: 2});
Chemistry.registerMolecule("metasilicate", "Metasilicate", {Si: 1, O: 3});
Chemistry.registerMolecule("beryl", "Beryl", {Be: 3, Al: 2, metasilicate: 6});
Chemistry.registerMolecule("ethanol", "Ethyl Alcohol", {C: 2, H: 5, hydroxide: 1}, "liquid");
Chemistry.registerMolecule("amphetamine", "Amphetamine", {C: 9, H: 13, N: 1}, "liquid");
Chemistry.registerMolecule("theobromine", "Theobromine", {C: 7, H: 8, N: 4, O: 2});
Chemistry.registerMolecule("starch", "Starch", {cellulose: 3});
Chemistry.registerMolecule("sucrose", "Sucrose", {C: 12, H: 22, O: 11});
Chemistry.registerMolecule("pantherine", "Pantherine", {C: 4, H: 6, N: 2, O: 2});
Chemistry.registerMolecule("aluminiumOxide", "Aluminium Oxide", {Al: 2, O: 3});
Chemistry.registerMolecule("fullrene", "Carbon Nanotubes", {C: 256}, ["#787878", "#787878"]);
Chemistry.registerMolecule("valine", "Valine", {C: 5, H: 11, N: 1, O: 2});
Chemistry.registerMolecule("penicillin", "Penicillin", {C: 16, H: 18, N: 2, O: 4, S: 1});
Chemistry.registerMolecule("testosterone", "Testosterone", {C: 19, H: 28, O: 2}, "liquid");
Chemistry.registerMolecule("kaolinite", "Kaolinite", {Al: 2, Si: 2, O: 5, hydroxide: 4});
Chemistry.registerMolecule("fingolimod", "Fingolimod", {C: 19, H: 33, nitrogenDioxide: 1});
Chemistry.registerMolecule("arginine", "Arginine", {C: 6, H: 14, N: 4, O: 2});
Chemistry.registerMolecule("shikimicAcid", "Shikimic Acid", {C: 7, H: 10, O: 5});
Chemistry.registerMolecule("sulfuricAcid", "Sulfuric Acid", {H: 2, S: 1, O: 4}, "liquid");
Chemistry.registerMolecule("glyphosate", "Glyphosate", {C: 3, H: 8, N: 1, O: 5, P: 1}, "liquid");
Chemistry.registerMolecule("asprin", "Aspirin", {C: 9, H: 8, O: 4});
Chemistry.registerMolecule("ddt", "Ddt", {C: 14, H: 9, Cl: 5});
Chemistry.registerMolecule("dota", "Dota", {C: 16, H: 28, N: 4, O: 8});
Chemistry.registerMolecule("mycotoxin", "T-2 Mycotoxin", {C: 24, H: 34, O: 9}, ["#e3d411", "#e3d411"]);
Chemistry.registerMolecule("salt", "Salt", {Na: 1, Cl: 1});
Chemistry.registerMolecule("ammonia", "Ammonia", {N: 1, H: 3}, "gas");
Chemistry.registerMolecule("nodularin", "Nodularin", {C: 41, H: 60, N: 8, O: 10});
Chemistry.registerMolecule("tetrodotoxin", "Tetrydotoxin", {C: 11, H: 11, N: 3, O: 8});
Chemistry.registerMolecule("thc", "Thc", {C: 21, H: 30, O: 2});
Chemistry.registerMolecule("mu", "Methylcyclopentadienyl Manganese Tricarbonyl", {C: 9, H: 7, Mn: 1, O: 3}, "liquid");
Chemistry.registerMolecule("buli", "Tert-butyllithium", {Li: 1, C: 4, H: 9});
Chemistry.registerMolecule("plat", "Chloroplatinic Acid", {H: 2, Pt: 1, Cl: 6});
Chemistry.registerMolecule("phosgene", "Phosgene", {C: 1, O: 1, Cl: 2}, "gas");
Chemistry.registerMolecule("aalc", "Allyl Alcohol", {C: 3, H: 5, hydroxide: 1}, "liquid");
Chemistry.registerMolecule("hist", "Diphenhydramine", {C: 17, H: 21, N: 1, O: 1});
Chemistry.registerMolecule("pal2", "Batrachotoxin", {C: 31, H: 42, N: 2, O: 6});
Chemistry.registerMolecule("retinol", "Retinol", {C: 20, H: 29, hydroxide: 1});
Chemistry.registerMolecule("xylitol", "Xylitol", {C: 5, H: 12, O: 5});
Chemistry.registerMolecule("weedex", "Aminocyclopyrachlor", {C: 8, H: 8, Cl: 1, N: 3, O: 2});
Chemistry.registerMolecule("xanax", "Alprazolam", {C: 17, H: 13, Cl: 1, N: 4});
Chemistry.registerMolecule("hcl", "Hydrogen Chloride", {H: 1, Cl: 1}, "liquid");
Chemistry.registerMolecule("cocaine", "Cocaine", {C: 17, H: 21, N: 1, O: 4});
Chemistry.registerMolecule("cocainehcl", "Cocaine Hydrochloride", {cocaine: 1, hcl: 1});
Chemistry.registerMolecule("blueorgodye", "Guaiazulene", {C: 15, H: 18}, "liquid");
Chemistry.registerMolecule("redorgodye", "Pelargonidin", {C: 15, H: 11, O: 11});
Chemistry.registerMolecule("purpleorgodye", "Delphinidin", {C: 15, H: 11, O: 7});
Chemistry.registerMolecule("olivine", "Olivine", {Fe: 2, Si: 1, O: 4});
Chemistry.registerMolecule("metblue", "Methylene Blue", {C: 16, H: 18, N: 3, S: 1, Cl: 1});
Chemistry.registerMolecule("meoh", "Methyl Alcohol", {methyl: 1, hydroxide: 1}, "liquid");
Chemistry.registerMolecule("lcd", "Cholesteryl Benzoate", {C: 34, H: 50, O: 2});
Chemistry.registerMolecule("radchlor", "Radium Chloride", {Ra: 1, Cl: 2});
Chemistry.registerMolecule("caulerpenyne", "Caulerpenyne", {C: 21, H: 26, O: 6});
Chemistry.registerMolecule("latropine", "hyosciamine ", {C: 17, H: 23, N: 1, O: 4});
Chemistry.registerMolecule("gallicacid", "Gallic Acid", {C: 7, H: 17, O: 5});
Chemistry.registerMolecule("glucose", "Glucose", {C: 6, H: 12, O: 6});
Chemistry.registerMolecule("tannicacid", "Tannic Acid", {gallicacid: 10, glucose: 1});
Chemistry.registerMolecule("hperox", "Hydrogen Peroxide", {H: 2, peroxide: 1}, "liquid");
Chemistry.registerMolecule("galliumarsenide", "Gallium Arsenide", {Ga: 1, As: 1});
Chemistry.registerMolecule("fibroin", "Fibroin", {glycine: 3, alinine: 2, serine: 1}, "liquid");
Chemistry.registerMolecule("aluminiumPhosphate", "Aluminium Phosphate", {Al: 1, phosphate: 1});
Chemistry.registerMolecule("potassiumOxide", "Potassium Oxide", {K: 2, O: 1});
Chemistry.registerMolecule("sodiumOxide", "Sodium Oxide", {Na: 2, O: 1});
Chemistry.registerMolecule("plagioclaseAnorthite", "Anorthite", {Ca: 1, Al: 2, Si: 2, O: 8});
Chemistry.registerMolecule("plagioclaseAlbite", "Albite", {Na: 1, Al: 2, Si: 3, O: 8});
Chemistry.registerMolecule("orthoclase", "Orthoclase", {K: 1, Al: 1, Si: 3, O: 8});
Chemistry.registerMolecule("biotite", "Biotite", {K: 1, Fe: 3, Al: 1, Si: 3, O: 10, F: 2});
Chemistry.registerMolecule("augite", "Augite", {Na: 1, Fe: 1, Al: 2, O: 6});
Chemistry.registerMolecule("talc", "Talc", {Mg: 3, Si: 4, O: 10});
Chemistry.registerMolecule("propane", "Propane", {C: 3, H: 8}, "gas");
Chemistry.registerMolecule("peridot", "Peridot", {Mg: 3, O: 4, Si: 1});
Chemistry.registerMolecule("topaz", "Topaz", {Al: 2, O: 4, F: 2});
Chemistry.registerMolecule("zoisite", "Zoisite", {Ca: 2, Al: 3, Si: 3, O: 13, H: 8});
Chemistry.registerMolecule("cysteine", "Cysteine", {C: 3, H: 7, N: 1, O: 2, S: 1});
Chemistry.registerMolecule("threonine", "Threonite", {C: 4, H: 9, N: 1, O: 3});
Chemistry.registerMolecule("lysine", "Lysine", {C: 6, H: 14, N: 2, O: 2});
Chemistry.registerMolecule("methionine", "Methionine", {C: 5, H: 11, N: 1, O: 2, S: 1});
Chemistry.registerMolecule("tyrosine", "Tyrosine", {C: 9, H: 11, N: 1, O: 3});
Chemistry.registerMolecule("histidine", "Histidine", {C: 6, H: 9, N: 3, O: 2});
Chemistry.registerMolecule("phenylalanine", "Phenylalanine", {C: 9, H: 11, N: 1, O: 2});
Chemistry.registerMolecule("glutamine", "Glutamine", {C: 5, H: 10, N: 2, O: 3});
Chemistry.registerMolecule("proline", "Proline", {C: 5, H: 9, N: 1, O: 2});
Chemistry.registerMolecule("leucine", "Leucine", {C: 6, H: 13, N: 1, O: 2});
Chemistry.registerMolecule("tryptophan", "Tryptophan", {C: 11, H: 12, N: 2, O: 2});
Chemistry.registerMolecule("isoleucine", "Isoleucine", {C: 6, H: 13, N: 1, O: 2});
Chemistry.registerMolecule("glutamates", "Glutamic Acid", {C: 5, H: 9, N: 1, O: 4});
Chemistry.registerMolecule("asparagine", "Asparagine", {C: 4, H: 8, N: 2, O: 3});
Chemistry.registerMolecule("keratin", "Keratin", {threonine: 2, cysteine: 2, proline: 3});
Chemistry.registerMolecule("asbestos", "Asbestos", {Mg: 3, Si: 2, O: 5, hydroxide: 4});
Chemistry.registerMolecule("lithiumHydroxide", "Lithium Hydroxide", {Li: 1, hydroxide: 1});
Chemistry.registerMolecule("sodiumHydroxide", "Sodium Hydroxide", {Na: 1, hydroxide: 1});
Chemistry.registerMolecule("potassiumHydroxide", "Potassium Hydroxide", {K: 1, hydroxide: 1});
Chemistry.registerMolecule("rubidiumHydroxide", "Rubidium Hydroxide", {Rb: 1, hydroxide: 1});
Chemistry.registerMolecule("cesiumHydroxide", "Cesium Hydroxide", {Cs: 1, hydroxide: 1});
Chemistry.registerMolecule("franciumHydroxide", "Francium Hydroxide", {Fr: 1, hydroxide: 1});
Chemistry.registerMolecule("hypophosphite", "Hypophosphite", {H: 2, P: 1, O: 2});
Chemistry.registerMolecule("aluminiumHypophosphite", "Aluminium Hypophosphite", {Al: 1, hypophosphite: 3});
Chemistry.registerMolecule("omphacite", "Omphacite", {Ca: 1, Al: 1, Si: 2, O: 6});
Chemistry.registerMolecule("silicate", "Silicate", {Si: 1, O: 4});
Chemistry.registerMolecule("pyrope", "Pyrope", {Mg: 3, Al: 2, silicate: 3});
Chemistry.registerMolecule("almadine", "Almandine", {Fe: 3, Al: 2, silicate: 3});
Chemistry.registerMolecule("spessartine", "Spessartine", {Mn: 3, Al: 2, silicate: 3});
Chemistry.registerMolecule("redGarnet", "Red Garnet", {pyrope: 3, almadine: 5, spessartine: 8});
Chemistry.registerMolecule("forsterite", "Forsterite", {Mg: 2, silicate: 1});
Chemistry.registerMolecule("chromite", "Chromite", {Fe: 1, Cr: 2, O: 4});
Chemistry.registerMolecule("siliconOxide", "Silicon Oxide", {Si: 1, O: 1});
Chemistry.registerMolecule("ironOxide", "Iron Oxide", {Fe: 1, O: 1});
Chemistry.registerMolecule("galliumOxide", "Gallium Oxide", {Ga: 1, O: 2});
Chemistry.registerMolecule("arsenicOxide", "Arsenic Oxide", {As: 1, O: 2});
Chemistry.registerMolecule("sulfurDioxide", "Sulfur Oxide", {S: 1, O: 2}, "gas");
Chemistry.registerMolecule("hydrogenSulfide", "Hydrogen Sulfide", {H: 2, S: 1}, "gas");
Chemistry.registerMolecule("sodiumBisulfate", "Sodium Bisulfate", {Na: 1, H: 1, sulfate: 1});
Chemistry.registerMolecule("sodiumSulfate", "Sodium Sulfate", {Na: 2, sulfate: 1});
Chemistry.registerMolecule("dimethyltryptamine", "Dimethyltryptamine", {C: 12, H: 16, N: 2});
Chemistry.registerMolecule("oleicAcid", "Oleic Acid", {C: 18, H: 34, O: 2});

Recipes.addFurnaceFuel(Mol.cellulose, 0, 65);
Recipes.addFurnaceFuel(Mol.meoh, 0, 500);
Recipes.addFurnaceFuel(Mol.ethanol, 0, 1100);
Recipes.addFurnaceFuel(Mol.aalc, 0, 800);
Recipes.addFurnaceFuel(Mol.propane, 0, 1400);
Recipes.addFurnaceFuel(Mol.toluene, 0, 2200);
Recipes.addFurnaceFuel(Mol.tnt, 0, 4000);
Recipes.addFurnaceFuel(Mol.isoprene, 0, 1800);
Recipes.addFurnaceFuel(Mol.butene, 0, 1600);
Recipes.addFurnaceFuel(Mol.memethacrylate, 0, 5700);